Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.response
Class TModelDetail

    java.lang.Object
      weblogic.uddi.client.structures.response.Response
          weblogic.uddi.client.structures.response.ListResponse
              weblogic.uddi.client.structures.response.TModelDetail

public class TModelDetail
extends ListResponse

TModelDetail contains complete details about tModel.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.uddi.client.structures.response.ListResponse
`truncated`

Fields inherited from class weblogic.uddi.client.structures.response.Response
`generic, operator`

Constructor Summary
`TModelDetail()` Class constructor.

Method Summary
`Vector` | `getTModelVector()` Gets the set of tModels.
`void` | `setTModelVector(Vector value)` Sets the set of tModels.

Methods inherited from class weblogic.uddi.client.structures.response.ListResponse
`isTruncated, setTruncated`

Methods inherited from class weblogic.uddi.client.structures.response.Response
`getGeneric, getOperator, setGeneric, setOperator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TModelDetail

    public TModelDetail()

  Class constructor.

Method Detail

### getTModelVector

    public Vector getTModelVector()

  Gets the set of tModels.

  Returns:
    the current set of tModels.

### setTModelVector

    public void setTModelVector(Vector value)

  Sets the set of tModels.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD